Skip to main content
GET
/
api
/
v1
/
public
/
indexation
/
pages
List Pages
curl --request GET \
  --url https://api.tryhikoo.com/api/v1/public/indexation/pages \
  --header 'Authorization: Bearer <token>'
{
  "pages": [
    {
      "id": 123,
      "url": "<string>",
      "health_check_passed": true,
      "title": "<string>",
      "language": "<string>",
      "error_count": 0,
      "warning_count": 0,
      "last_crawled_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Personal API key created in the dashboard (Settings > API keys).

Headers

authorization
string | null

Bearer <api_key>

X-MCP-Secret
string | null

Query Parameters

category
enum<string> | null
Available options:
global,
home_page,
blog_post,
blog_list_page,
service_page,
product_page,
pricing_page,
landing_page,
docs_page,
knowledge_base_article,
faq_page,
about_page,
contact_page,
checkout_page,
other,
default,
unreachable,
case_study,
guide,
product_list_page,
cart_page,
legal_page,
auth_page,
category_page,
search_page,
utility_page,
glossary_page,
comparison_page,
use_case_page,
ecommerce_product_page
health_passed
boolean | null
has_errors
boolean | null
has_warnings
boolean | null
language
string | null
search
string | null
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0
website_id
integer
required

Target website id

Response

Successful Response

Response for paginated pages list.

pages
WebsitePageListItemSchema · object[]
required
total
integer
required
limit
integer
required
offset
integer
required